Bug 48394 - NEW PORT: x11-fm/twander
Summary: NEW PORT: x11-fm/twander
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-17 22:20 UTC by tundra
Modified: 2003-03-02 23:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tundra 2003-02-17 22:20:02 UTC
New port - twander macro-programmable file browser

Fix: 

N/A
How-To-Repeat: 
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#   twander
#   twander/Makefile
#   twander/pkg-comment
#   twander/pkg-descr
#   twander/pkg-plist
#   twander/distinfo
#
echo c - twander
mkdir -p twander > /dev/null 2>&1
echo x - twander/Makefile
sed 's/^X//' >twander/Makefile << 'END-of-twander/Makefile'
X# ports collection makefile for: twander
X# Date Created:        17 February 2003
X# Whom:            tundra
X#
X
XPORTNAME=  twander
XPORTVERSION=   3.0
XCATEGORIES=    x11-fm
XMASTER_SITES=  http://www.tundraware.com/Software/twander/
X
XMAINTAINER=    twander@tundraware.com
X
XUSE_PYTHON=    yes
XBUILD_DEPENDS=${PYTHON_SITELIBDIR}/_tkinter.so:${PORTSDIR}/x11-toolkits/py-tkinter
XRUN_DEPENDS=${PYTHON_SITELIBDIR}/_tkinter.so:${PORTSDIR}/x11-toolkits/py-tkinter
X
XMANCOMPRESSED= yes
XMAN1=      twander.1
X
X.include <bsd.port.mk>
END-of-twander/Makefile
echo x - twander/pkg-comment
sed 's/^X//' >twander/pkg-comment << 'END-of-twander/pkg-comment'
XA better filesystem browser.
X
END-of-twander/pkg-comment
echo x - twander/pkg-descr
sed 's/^X//' >twander/pkg-descr << 'END-of-twander/pkg-descr'
X
X"twander" is a Filesystem Browser which runs on both Unix-like systems
Xas well as Win32 systems.  It embraces the best ideas of both similar
XGUI-driven programs (Konqueror, Windows Explorer) as well as
Xtext-based interfaces (Midnight Commander, List, Sweep).
X
XWhile the "twander" interface is graphical, all the major navigation,
Xselection, and execution commands can be entered from the keyboard,
Xnot just the mouse.  This means Power Users who are strong typists can
Xminimize dependency on the mouse and materially speed up their
Xinteractions with the system.
X
XMoreover, unlike the other programs, "twander" does not have a
Xbuilt-in set of commands (which typically cannot be changed).
XInstead, "twander" supports a rich macro configuration language for
Xvirtually limitless user-definition of commands.  The configuration
Xlanguage provides a simple mechanism for communicating the list of
Xitems currently selected in the GUI to the user-defined commands.
X
XEach user is thus free to configure a command set unique and
Xappropriate to their needs.  As with the navigation commands,
Xuser-defined commands can be invoked with either the keyboard (a
Xsingle keystroke) or the mouse (a menu selection).
X
XMain Site:  http://www.tundraware.com/Software/twander/
END-of-twander/pkg-descr
echo x - twander/pkg-plist
sed 's/^X//' >twander/pkg-plist << 'END-of-twander/pkg-plist'
Xbin/twander.py
Xshare/doc/twander/twander-license.txt
Xshare/doc/twander/.twander
X@dirrm share/doc/twander
END-of-twander/pkg-plist
echo x - twander/distinfo
sed 's/^X//' >twander/distinfo << 'END-of-twander/distinfo'
XMD5 (twander-3.0.tar.gz) = 3ae950700176f0ea79a61bbb1244b300
END-of-twander/distinfo
exit
Comment 1 tundra 2003-02-17 23:41:48 UTC
FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/48394'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=48394
> 
> 
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       NEW PORT: x11-fm/twander
>>Arrival-Date:   Mon Feb 17 14:20:02 PST 2003

The Checksum provided in the original pr is incorrect.  The correct
content of the distinfo file is:

MD5 (twander-3.0.tar.gz) = 450943214974ec54b962102044bb741b



-- 
------------------------------------------------------------------------------
Tim Daneliuk
tundra@tundraware.com
Comment 2 Joe Marcus Clarke freebsd_committer 2003-03-02 23:24:31 UTC
State Changed
From-To: open->closed

Committed with modifications, thanks!